Bug 428479 - Fix a bug in the TSC synchronize code
Fix a bug in the TSC synchronize code
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Bhavna Sarathy
Martin Jenner
: OtherQA
Depends On:
Blocks: 253746
  Show dependency treegraph
 
Reported: 2008-01-11 16:55 EST by Bhavna Sarathy
Modified: 2009-06-19 22:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:06:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix a TSC bug (1010 bytes, patch)
2008-01-11 16:55 EST, Bhavna Sarathy
no flags Details | Diff
Testing results on 4 socket 16 core Barcelona Warthog system. (5.77 MB, text/plain)
2008-01-31 16:43 EST, Bhavna Sarathy
no flags Details

  None (edit)
Description Bhavna Sarathy 2008-01-11 16:55:26 EST
AMD code snippet for systems with constant TSC was in the wrong place.  This is
a bug fix.  patch attached for R5.2
Comment 1 Bhavna Sarathy 2008-01-11 16:55:26 EST
Created attachment 291423 [details]
Fix a TSC bug
Comment 2 RHEL Product and Program Management 2008-01-14 14:27:21 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Bhavna Sarathy 2008-01-31 16:43:48 EST
Created attachment 293653 [details]
Testing results on 4 socket 16 core Barcelona Warthog system.

Without the patch, the code path takes you through software synchronization
and there is skew.   The test was run PIT for Wall and TSC for GTOD.

time.c: Using 1.193182 MHz WALL PIT GTOD PIT/TSC timer.
Using local APIC timer interrupts.
Comment 7 Don Zickus 2008-03-12 15:41:06 EDT
in kernel-$NEW_VER
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Don Zickus 2008-03-12 15:59:39 EDT
in kernel-2.6.18-85.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 John Poelstra 2008-04-02 17:35:10 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 11 John Poelstra 2008-04-09 18:42:02 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 12 John Poelstra 2008-04-23 13:39:38 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot6--available now on partners.redhat.com.  

We are nearing GA for 5.2 so please test and confirm that your issue is fixed ASAP.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 13 John Poelstra 2008-05-01 12:49:51 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot7--available now on partners.redhat.com.  

We are nearing GA for 5.2--this is the last opportunity to test and confirm that
your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 15 errata-xmlrpc 2008-05-21 11:06:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.